Robot Simulator of the Robotics Group for Self-Organization of Control: DiscusConf Struct Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DiscusConf Struct Reference

configuration object for the Discus robot. More...

`#include <discus.h>`

Collaboration diagram for DiscusConf:

[legend]
List of all members.

## Public Member Functions
void | destroy ()
| function that deletes sensors
void | addSensor (Sensor *s)
| adds a sensor to the list of sensors
## Public Attributes
double | diameter
double | relativewidth
double | stabdiameter
| diameter of capsule relative to diameter of body
unsigned int | numAxes
| number of axes with moving masses
double | spheremass
double | pendulardiameter
| automatically set
double | pendularmass
double | motorpowerfactor
| power factor for servos w.r.t. pendularmass
double | pendularrange
| fraction of the diameter the pendular masses can move to one side
double | pendularrangeN
| fraction of the diameter the normal pendular masses can move to one side
bool | motorsensor
| motor values as sensors
bool | irAxis1
bool | irAxis2
bool | irAxis3
bool | irRing
| IR sensors in a ring in x,z plane (collides with irAxis1 and irAxis3).
bool | irSide
| 4 IR senors to both side in y direction (collides with irAxis2)
bool | drawIRs
double | irsensorscale
| range of the ir sensors in units of diameter
double | irCharacter
| characteristics of sensor ( where x is the range-distance)
RaySensor * | irSensorTempl
| template for creation of the other ir sensors (if 0 then IRSensor(irCharacter))
double | motor_ir_before_sensors
| if true motor sensors and ir sensors are given before additional sensors
double | brake
| if nonzero the robot brakes (deaccelerates actively/magically) (velocity dependend torque)
std::list< Sensor * > | sensors
| list of sensors that are mounted at the robot. (e.g. AxisOrientationSensor)

## Detailed Description

configuration object for the Discus robot.

## Member Function Documentation

void addSensor | ( | Sensor * | s | ) | `[inline]`

adds a sensor to the list of sensors

void destroy | ( |  | ) |

function that deletes sensors

## Member Data Documentation

double brake

if nonzero the robot brakes (deaccelerates actively/magically) (velocity dependend torque)

double diameter

bool drawIRs

bool irAxis1

bool irAxis2

bool irAxis3

double irCharacter

characteristics of sensor (

where x is the range-distance)

bool irRing

IR sensors in a ring in x,z plane (collides with irAxis1 and irAxis3).

double irsensorscale

range of the ir sensors in units of diameter

RaySensor* irSensorTempl

template for creation of the other ir sensors (if 0 then IRSensor(irCharacter))

bool irSide

4 IR senors to both side in y direction (collides with irAxis2)

double motor_ir_before_sensors

if true motor sensors and ir sensors are given before additional sensors

double motorpowerfactor

power factor for servos w.r.t. pendularmass

bool motorsensor

motor values as sensors

unsigned int numAxes

number of axes with moving masses

double pendulardiameter

automatically set

double pendularmass

double pendularrange

fraction of the diameter the pendular masses can move to one side

double pendularrangeN

fraction of the diameter the normal pendular masses can move to one side

double relativewidth

std::list<Sensor*> sensors

list of sensors that are mounted at the robot. (e.g. AxisOrientationSensor)

double spheremass

double stabdiameter

diameter of capsule relative to diameter of body

The documentation for this struct was generated from the following files:

- discus.h
- discus.cpp